﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace FlexChartDemo
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            flexChart1.Series.Clear();
            this.flexChart1.Series.Add(new C1.Win.Chart.Series
            {
                Name = "Sales",
                Binding = "Revenue"
            });

            this.flexChart1.ChartType = C1.Chart.ChartType.LineSymbols;
            this.flexChart1.Header.Content = "DateWise Revenue";
            this.flexChart1.BindingX = "Date";
            this.flexChart1.DataSource = Product.GetProductRevenue();
        }
    }

    class Product
    {
        public string Name { get; set; }
        public DateTime Date { get; set; }

        public int Orders { get; set; }

        public int Revenue { get; set; }

        public static List<Product> GetProductRevenue()
        {
            List<Product> _list = new List<Product>();
            _list.Add(new Product() { Name = "Desktop", Date = new DateTime(2018, 04, 07), Orders = 265, Revenue = 6625 });
            _list.Add(new Product() { Name = "Desktop", Date = new DateTime(2018, 05, 08), Orders = 107, Revenue = 2675 });
            _list.Add(new Product() { Name = "Mouse", Date = new DateTime(2018, 06, 02), Orders = 56, Revenue = 560 });
            _list.Add(new Product() { Name = "Mouse", Date = new DateTime(2018, 07, 06), Orders = 572, Revenue = 5720 });
            _list.Add(new Product() { Name = "Mouse", Date = new DateTime(2018, 08, 05), Orders = 468, Revenue = 4680 });
            _list.Add(new Product() { Name = "Printer", Date = new DateTime(2018, 09, 02), Orders = 154, Revenue = 2310 });
            _list.Add(new Product() { Name = "Desktop", Date = new DateTime(2018, 10, 03), Orders = 89, Revenue = 2225 });
            _list.Add(new Product() { Name = "Desktop", Date = new DateTime(2018, 11, 05), Orders = 347, Revenue = 8675 });
            _list.Add(new Product() { Name = "Printer", Date = new DateTime(2018, 12, 07), Orders = 204, Revenue = 3060 });
            _list.Add(new Product() { Name = "Printer", Date = new DateTime(2019, 01, 03), Orders = 34, Revenue = 510 });
            _list.Add(new Product() { Name = "Mouse", Date = new DateTime(2019, 02, 06), Orders = 223, Revenue = 2230 });
            _list.Add(new Product() { Name = "Desktop", Date = new DateTime(2019, 03, 08), Orders = 119, Revenue = 2975 });
            return _list;
        }
    }
}
